#!/usr/bin/env node

let indexModule = require("./dist/index.js");

console.log('Initializing contextmap configuration');

const parameters = {};
const args = require('minimist')(process.argv.slice(2));

if (args.key != null) {
    console.log(' < Found key parameter');
    parameters.key = args.key;
}

if (args.source != null) {
    console.log(' < Found source parameter');
    parameters.source = args.source;
}

if (args.componentName != null) {
    console.log(' < Found componentName parameter');
    parameters.componentName = args.componentName;
}

if (args.systemName != null) {
    console.log(' < Found systemName parameter');
    parameters.systemName = args.systemName;
}

indexModule.scanContextMap(parameters);
