import { Project } from "ts-morph";
import { FeatureFileOverviewWithSourceFile } from "../model/feature-file-overview";
import { FeatureFileDetail } from "../model/feature-file-detail";
export declare class FeatureFileService {
    private project;
    private static MAX_FEATUREFILE_NR_OF_CHARACTERS;
    constructor(project: Project);
    scan(): FeatureFileOverviewWithSourceFile[];
    createFeatureFileDetail(componentId: string, parentComponentId: string, requestedFF: FeatureFileOverviewWithSourceFile): FeatureFileDetail;
    private isExtensionToInclude;
    private createContentHash;
}
