import { MojoParameters } from "../infrastructure/mojo-parameters";
export declare class ScanService {
    private parameters;
    private client;
    private resourceService;
    private technologyStackService;
    private actorService;
    private subscribedEndpointService;
    private languageService;
    private entityService;
    private glossaryService;
    private versionControlService;
    private decisionRecordService;
    private featureFileService;
    private project;
    private tagCache;
    private decisionRecordsCache;
    private featureFilesCache;
    constructor(parameters: MojoParameters);
    scan(): void;
    private initializeScan;
    private scanConfiguration;
    private scanBytesOfCode;
    private scanGlossaryTerms;
    private scanDecisionRecords;
    private scanFeatureFiles;
    private scanVersionControl;
    private scanEntities;
    private scanSubscribedEndpoints;
    private scanActors;
    private scanTechStack;
    private sendScan;
    private sendFeatureFileDetails;
    private sendDecisionRecordDetails;
    private sendReleases;
}
