import { ComponentType } from "../../model/component-type";
export declare abstract class ConfigurationResource {
    abstract getComponentType(): ComponentType;
    abstract getName(): string;
    abstract getVersion(): string;
    abstract getSystemName(): string;
    abstract getDomainVisionStatement(): string;
    abstract getTeam(): string;
    abstract getUrlDocumentation(): string;
    abstract getUrlVersionControl(): string;
    abstract getUrlIssueManagement(): string;
    abstract getUrlBuildPipeline(): string;
}
