import { Project } from "ts-morph";
import { DecisionRecordOverviewWithSourceFile } from "../model/decision-record-overview";
import { DecisionRecordDetail } from "../model/decision-record-detail";
export declare class DecisionRecordService {
    private project;
    private static MAX_DECISIONRECORD_NR_OF_CHARACTERS;
    constructor(project: Project);
    scan(): DecisionRecordOverviewWithSourceFile[];
    createDecisionRecordDetail(componentId: string, parentComponentId: string, requestedADR: DecisionRecordOverviewWithSourceFile): DecisionRecordDetail;
    private isExtensionToInclude;
    private createContentHash;
}
