import { CommitOverview } from "../model/commit-overview";
import { CommitDetail } from "../model/commit-detail";
export declare class VersionControlService {
    scan(): VersionControlScan;
    private convertDetailsToOverviews;
    private getCommits;
    private getTags;
    private filterCommitsForTag;
    private getTagCommitsRecentToOld;
    private findGitRootDir;
    private readTag;
    private maptoCommitDetails;
    private getLogs;
    private readCommit;
}
export interface VersionControlScan {
    commitOverviewList: CommitOverview[];
    commitDetailList: CommitDetail[];
    tagList: Tag[];
}
export interface Tag {
    createdOn: Date;
    name: string;
    objectId: string;
    commits: CommitDetail[];
}
export declare function formatTagCreatedOn(tag: Tag): string | null;
