"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mydecorator = exports.registeredClasses = void 0;
exports.registeredClasses = [];
function mydecorator(name) {
    // name changes when minified
    // so add optional parameter, when set then use it, otherwise look at function name
    if (name === void 0) { name = ''; }
    return function (classConstructor) {
        console.log('Decorated function: ' + classConstructor.name + ' versus ' + name);
        exports.registeredClasses.push(classConstructor);
    };
}
exports.mydecorator = mydecorator;
