export interface DomainObject {
    name: string;
    fullyQualifiedName: string;
    fields: Field[];
    aggregateRoot: boolean;
    dependsOnEntityFullyQualifiedNames: string[];
    baseTypeNames: string[];
    implementationTypeNames: string[];
}
export interface Field {
    name: string;
    typeName: string;
    typeFullyQualifiedName: string;
}
export declare function createDomainObject(): DomainObject;
export declare function createField(): Field;
