"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createScan = void 0;
var scanned_component_1 = require("./scanned-component");
var scan_execution_1 = require("./scan-execution");
function createScan(version) {
    return {
        pluginName: "typescript-compiletime",
        pluginVersion: version,
        entities: [],
        decisionRecordOverviews: [],
        featureFileOverviews: [],
        releaseOverviews: [],
        subscribedEndpoints: [],
        actors: [],
        glossaryTerms: [],
        scannedComponent: (0, scanned_component_1.createScannedComponent)(),
        execution: (0, scan_execution_1.createScanExecution)(),
        commitDetails: [],
    };
}
exports.createScan = createScan;
